EventTypeInfo (Java SE 23 & JDK 23)
Description: declaration: module: jdk.management.jfr, package: jdk.management.jfr, class: EventTypeInfo
Keywords: jdk.management.jfr.EventTypeInfo class

# Class EventTypeInfo

java.lang.Object
jdk.management.jfr.EventTypeInfo

public final class EventTypeInfo extends Object
Management representation of an `EventType`.

Since:
  9
See Also:
  - `EventType`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static EventTypeInfo`
  `from(CompositeData cd)`
  Returns an `EventType` represented by the specified `CompositeData`
  `List<String>`
  `getCategoryNames()`
  Returns the list of human-readable names that makes up the category for this `EventTypeInfo` (for example, `"Java Virtual Machine"` or `"Garbage Collector"`).
  `String`
  `getDescription()`
  Returns a short sentence or two describing the event type associated with this `EventTypeInfo`, for example `"Garbage collection performed by the JVM""`.
  `long`
  `getId()`
  Returns the unique ID for the event type associated with this `EventTypeInfo`, not guaranteed to be the same for different Java Virtual Machines (JVMs) instances.
  `String`
  `getLabel()`
  Returns the label, a human-readable name, associated with the event type for this `EventTypeInfo` (for example, `"Garbage Collection"`).
  `String`
  `getName()`
  Returns the name for the event type associated with this `EventTypeInfo` (for example, `"jdk.GarbageCollection"`).
  `List<SettingDescriptorInfo>`
  `getSettingDescriptors()`
  Returns settings for the event type associated with this `EventTypeInfo`.
  `String`
  `toString()`
  Returns a description of this `EventTypeInfo`.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### getLabel

    public String getLabel()
    Returns the label, a human-readable name, associated with the event type for this `EventTypeInfo` (for example, `"Garbage Collection"`).
    Returns:
      the label, or `null` if a label is not set
    See Also:
      - `EventType.getLabel()`

  - ### getCategoryNames

    public List<String> getCategoryNames()
    Returns the list of human-readable names that makes up the category for this `EventTypeInfo` (for example, `"Java Virtual Machine"` or `"Garbage Collector"`).
    Returns:
      an immutable list of category names, or a list with the name `"Uncategorized"` if no category has been set
    See Also:
      - `EventType.getCategoryNames()`
      - `Category`

  - ### getId

    public long getId()
    Returns the unique ID for the event type associated with this `EventTypeInfo`, not guaranteed to be the same for different Java Virtual Machines (JVMs) instances.
    Returns:
      the ID
    See Also:
      - `EventType.getId()`

  - ### getName

    public String getName()
    Returns the name for the event type associated with this `EventTypeInfo` (for example, `"jdk.GarbageCollection"`).
    Returns:
      the name, not `null`
    See Also:
      - `EventType.getName()`

  - ### getDescription

    public String getDescription()
    Returns a short sentence or two describing the event type associated with this `EventTypeInfo`, for example `"Garbage collection performed by the JVM""`.
    Returns:
      the description, or `null` if no description exists
    See Also:
      - `EventType.getDescription()`

  - ### getSettingDescriptors

    public List<SettingDescriptorInfo> getSettingDescriptors()
    Returns settings for the event type associated with this `EventTypeInfo`.
    Returns:
      the settings, not `null`
    See Also:
      - `EventType.getSettingDescriptors()`

  - ### toString

    public String toString()
    Returns a description of this `EventTypeInfo`.
    Overrides:
      `toString` in class `Object`
    Returns:
      description, not `null`

  - ### from

    public static EventTypeInfo from(CompositeData cd)
    Returns an `EventType` represented by the specified `CompositeData`

    The supplied `CompositeData` must have the following item names and item types to be valid.

    > The name and type the specified CompositeData must contain
    > Name | Type
    > --- | ---
    > id | `Long`
    > name | `String`
    > label | `String`
    > description | `String`
    > categoryNames | `ArrayType(1, SimpleType.STRING)`
    > settingDescriptors | `javax.management.openmbean.CompositeData[]` whose element type is the mapped type for `SettingDescriptorInfo` as specified in the `SettingDescriptorInfo.from(javax.management.openmbean.CompositeData)` method.

    Parameters:
      `cd` - `CompositeData` representing the `EventTypeInfo` to return
    Returns:
      an `EventTypeInfo`, or `null` if `cd` is `null`
    Throws:
      `IllegalArgumentException` - if `cd` does not represent a valid `EventTypeInfo`